      FUNCTION ADDLN(ALN,BLN)
C Copyright Bernd Berg, Nov 25 2000.
C Given ln(A) and ln(B), the function returns ln(C) with C=A+B.
      include 'implicit.sta'
      include 'constants.par'
      AALN=MAX(ALN,BLN)
      BBLN=MIN(ALN,BLN)
      ADDLN=AALN+LOG(ONE+EXP(BBLN-AALN))
      RETURN
      END


